This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 869618 - Review Request: crtools - Checkpoint/Restore in User-space
Review Request: crtools - Checkpoint/Restore in User-space
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
: 1046622 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 08:34 EDT by Adrian Reber
Modified: 2015-12-07 09:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 13:47:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2012-10-24 08:34:32 EDT
Spec URL: http://lisas.de/~adrian/rpm/crtools.spec
SRPM URL: http://lisas.de/~adrian/rpm/crtools-0.2-1.fc17.src.rpm
Description:
crtools is the user-space part of CRIU, a project to implement
checkpoint/restore functionality for Linux in user-space.

This is needed for https://fedoraproject.org/wiki/Features/Checkpoint_Restore
and cannot yet be tested without the required kernel config changes.

Fedora Account System Username: adrian
Comment 1 Volker Fröhlich 2012-10-24 15:18:29 EDT
Use name and version macro on Source0.

Don't use macros for mkdir and install.

You might want to leave a comment, why it only works on x86_64.
Comment 2 Adrian Reber 2012-10-25 03:57:14 EDT
Thanks for the review. I have removed the macros for mkdir and install and added a comment why it only works on x86_64.

As it is not required to use macros in Source0 I would rather leave it the way it is.

Spec URL: http://lisas.de/~adrian/rpm/crtools.spec
SRPM URL: http://lisas.de/~adrian/rpm/crtools-0.2-2.fc17.src.rpm

* Tue Aug 21 2012 Adrian Reber <adrian@lisas.de> - 0.2-2
- remove macros like %%{__mkdir_p} and %%{__install}
- add comment why it is only x86_64

3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Adrian Reber 2013-01-14 08:30:09 EST
Spec URL: http://lisas.de/~adrian/rpm/crtools.spec
SRPM URL: http://lisas.de/~adrian/rpm/crtools-0.3-1.fc18.src.rpm

* Mon Jan 14 2013 Adrian Reber <adrian@lisas.de> - 0.3-1
- updated to 0.3
- fix building Documentation/

3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Thorsten Leemhuis 2013-01-17 15:50:33 EST
Review for this package:

> Spec URL: http://lisas.de/~adrian/rpm/crtools.spec
> SRPM URL: http://lisas.de/~adrian/rpm/crtools-0.3-1.fc18.src.rpm

Rpmlint is clean. Found one blocker: The package guidelines say there must me a bug mentioned in the spec file for every ExcludeArch used; that section has a lot of "MUST" and I'd say it can be expected to apply to ExclusiveArch, too. So I'd say: file one bug and mention it in the spec file, that should be sufficient. 

A few nit-picks: 

- I wonder if the summary would benefit from a "Tool for "
- Explaining what CRIU actually means in the description would be wise, too
- would be good if upstream would include a install section in the Makefile and could fix the stack-protector problem
Comment 5 Adrian Reber 2013-01-18 08:14:04 EST
Thanks for the review.

Concerning the ExcludeArch: Without the package being imported I cannot file a bug. Reading https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Architecture_Build_Failures it seems okay to open the bug after importing the package once a bugzilla entry has been created. I will do that as soon as the package has passed review.

I changed the Summary and Description and will contact upstream about the install section and the stack-protector problem.

Spec URL: http://lisas.de/~adrian/rpm/crtools.spec
SRPM URL: http://lisas.de/~adrian/rpm/crtools-0.3-2.fc18.src.rpm

* Fri Jan 18 2013 Adrian Reber <adrian@lisas.de> - 0.3-2
- improved Summary and Description
Comment 6 Thorsten Leemhuis 2013-01-18 08:24:16 EST
In that case: APPROVED
Comment 7 Adrian Reber 2013-01-19 05:17:29 EST
New Package SCM Request
=======================
Package Name: crtools
Short Description: Tool for Checkpoint/Restore in User-space
Owners: adrian
Branches:
InitialCC:
Comment 8 Jon Ciesla 2013-01-22 09:07:05 EST
Git done (by process-git-requests).
Comment 10 Jon Ciesla 2013-01-22 13:56:53 EST
No additional SCM maintenance required.
Comment 11 Lubomir Rintel 2013-12-26 06:24:23 EST
*** Bug 1046622 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.